Package org.apache.sling.feature.extension.apiregions

# Class ArtifactRulesMergeHandler

java.lang.Object
org.apache.sling.feature.extension.apiregions.ArtifactRulesMergeHandler

All Implemented Interfaces:
  `org.apache.sling.feature.builder.MergeHandler`

public class ArtifactRulesMergeHandler extends Object implements org.apache.sling.feature.builder.MergeHandler
Merge the artifact rules extension

## Constructor Summary

Constructors
Constructor
Description
`ArtifactRulesMergeHandler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canMerge(org.apache.sling.feature.Extension extension)`
`void`
`merge(org.apache.sling.feature.builder.HandlerContext context, org.apache.sling.feature.Feature targetFeature, org.apache.sling.feature.Feature sourceFeature, org.apache.sling.feature.Extension targetExtension, org.apache.sling.feature.Extension sourceExtension)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ArtifactRulesMergeHandler

public ArtifactRulesMergeHandler()

## Method Details

### canMerge

public boolean canMerge(org.apache.sling.feature.Extension extension)

Specified by:
  `canMerge` in interface `org.apache.sling.feature.builder.MergeHandler`

### merge

public void merge(org.apache.sling.feature.builder.HandlerContext context, org.apache.sling.feature.Feature targetFeature, org.apache.sling.feature.Feature sourceFeature, org.apache.sling.feature.Extension targetExtension, org.apache.sling.feature.Extension sourceExtension)

Specified by:
  `merge` in interface `org.apache.sling.feature.builder.MergeHandler`